Debian::WNPP::Bug(3pm)

NAME
Debian::WNPP::Bug - handy representation of Debian WNPP bug reports

SYNOPSIS
    my $b = Debian::WNPP::Bug->new(
        {   number            => 1234,
            title             => 'RFP: nice-package -- do nice things easier',
            type              => 'rfp',
            package           => 'nice-package',
            short_description => 'do nice things together',
            submitter         => "Joe Developer <joe@developer.local>"
        }
    );

    print "$b";     # 1234

CONSTRUCTOR

new Constructs new instance of the class. Initial values are to be given as a hash reference.

FIELDS

number
    The unique ID of the big in the BTS.

title
    The title of the bug. Usually something like

        RFP: nice-package -- do nice things easier

type
    The type of the WNPP bug. Either of:

    RFP request for package

    ITP intent to package

    O   orphaned package

    RFH request for help

    RFA request for adoption

    ITA intent to adopt

package
    Package name

short_description
    The short description of the package

submitter
    The bug submitter in the form "Full Name <email@address>"

OVERLOADS

""  "Debian::WNPPBug" object instances stringify via the method . The default "as_string" method returns the bug number.

METHODS

type_and_number
    Returns a string representing the bug type and number in the form TYPE #number, e.g. "ITP #1234".

as_string
    Used for the "" overload. Returns the bug number.

AUTHOR

Damyan Ivanov <dmn@debian.org>

COPYRIGHT & LICENSE
Copyright (C) 2010 Damyan Ivanov <dmn@debian.org>

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License version 2 as published by the Free Software Foundation.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.